Loading...
Searching...
No Matches
ranges::views::split_fn Struct Reference
Inheritance diagram for ranges::views::split_fn:

## Public Member Functions

template<typename T >
constexpr auto | operator() (T t) const
Public Member Functions inherited from ranges::views::split_base_fn
template<typename Rng , typename Pattern > requires viewable_range<Rng> && input_range<Rng> && viewable_range<Pattern> && forward_range<Pattern> && indirectly_comparable< iterator_t<Rng>, iterator_t<Pattern>, ranges::equal_to> && (forward_range<Rng> || detail::tiny_range<Pattern>)
constexpr split_view< all_t< Rng >, all_t< Pattern > > | operator() (Rng &&rng, Pattern &&pattern) const
template<typename Rng > requires viewable_range<Rng> && input_range<Rng> && indirectly_comparable<iterator_t<Rng>, range_value_t<Rng> const *, ranges::equal_to>
constexpr split_view< all_t< Rng >, single_view< range_value_t< Rng > > > | operator() (Rng &&rng, range_value_t< Rng > val) const

## Related Symbols

(Note that these are not member symbols.)
constexpr split_fn | split {}